// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '修改密码', leftArrow: true, useBar: false },
        // 主体高度
        infoHeight: '',
        form: {},
    },
    //验证必填项    
    initValidate() {
        const rules = { password: { required: true }, }
        // 验证字段的提示信息，若不传则调用默认的信息
        const messages = { password: { required: '请输入新密码' }, };
        this.WxValidate = new WxValidate(rules, messages)
    },
    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    //提交
    onSubmit: async function (e) {
        const that = this;
        let data = that.data.form;
        const parmas = e.detail.value;
        if (!this.WxValidate.checkForm(parmas)) {
            const error = this.WxValidate.errorList[0];
            wx.showToast({ title: `${error.msg}`, icon: 'error', duration: 2000 })
            return false
        } else {
            const arr = await app.$post(`/courtAdmin/api/user/updatePwd/${data.id}`, parmas);
            if (arr.errcode == '0') {
                wx.showToast({ title: `密码修改成功`, icon: 'error', duration: 2000 });
                wx.removeStorage({ key: 'token', success(res) { return wx.redirectTo({ url: '/pages/index/index', }) } })
            } else wx.showToast({ title: `${arr.errmsg}`, icon: 'error', duration: 2000 })
        }
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        //验证规则函数
        this.initValidate();
        // 计算高度
        this.searchHeight();
        // 监听用户是否登录
        this.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: async res => {
                const arr = await app.$get(`/courtAdmin/api/user/${res.data.id}`);
                if (arr.errcode == '0') this.setData({ form: arr.data })
            },
            fail: res => {
                wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})