// pages/login/login.js
import WxValidate from '../../utils/wxValidate'
const app = getApp()
Page({

    /**
     * 页面的初始数据
     */
    data: {
        frameStyle: { useTop: true, name: '已上传图片', leftArrow: true, useBar: false },
        // 主体高度
        infoHeight: '',
        //赛程列表
        scheduleList: [],
        // 选中的数据
        selectList: [],
    },
    back: function () {
        wx.navigateBack({ url: '/pages/me/index' })
    },
    // 多选
    toSelect: function (e) {
        const that = this;
        let list = that.data.scheduleList;
        let arr = []
        for (const val of list) {
            for (const vaq of val.match_file) {
                vaq.check = true;
                arr.push({ id: val._id, name: vaq.name })
            }
        }
        that.setData({ scheduleList: list })
        that.setData({ selectList: arr })
    },
    // 单个选择
    dataChange: function (e) {
        const that = this;
        let list = that.data.selectList;
        let { id, name } = e.currentTarget.dataset;
        let is_d = list.find((i) => i.name == name);
        if (is_d) {
            let data = list.filter((i) => i.name != name);
            that.setData({ selectList: data })
        } else {
            list.push({ id: id, name: name })
        }
    },
    // 删除多选
    toDel: async function () {
        const that = this;
        let list = that.data.scheduleList;
        let p1 = that.data.selectList;
        wx.showModal({
            content: `您确定提交删除操作吗?`,
            title: '提示',
            success: async result => {
                if (result.confirm) {
                    for (const p2 of p1) {
                        for (const p3 of list) {
                            p3.match_file = p3.match_file.filter((i) => i.name != p2.name);
                        }
                    }
                    for (const val of list) {
                        const res = await app.$post(`/courtAdmin/api/schedule/${val._id}`, val);
                        if (res.errcode === 0) {
                            wx.showToast({ title: `删除图片成功`, icon: 'success', duration: 2000 })
                            that.watchLogin()
                        } else {
                            wx.showToast({ title: res.errmsg, icon: 'error', duration: 2000 })
                        }
                    }
                } else if (result.cancel) { }
            }
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        // 计算高度
        this.searchHeight()
        // 监听用户是否登录
        this.watchLogin();
    },
    // 监听用户是否登录
    watchLogin: async function () {
        const that = this;
        wx.getStorage({
            key: 'token',
            success: async res => {
                const arr = await app.$get('/courtAdmin/api/schedule');
                if (arr.errcode === 0) that.setData({ scheduleList: arr.data })
            },
            fail: res => {
                wx.redirectTo({ url: '/pages/login/index', })
            }
        })
    },
    // 计算高度
    searchHeight: function () {
        let frameStyle = this.data.frameStyle;
        let client = app.globalData.client;
        let infoHeight = client.windowHeight;
        // 是否去掉状态栏
        if (frameStyle.useTop) infoHeight = infoHeight - (client.statusBarHeight + client.getMenu.height + (client.getMenu.top - client.statusBarHeight) * 2);
        // 是否减去底部菜单
        if (frameStyle.useBar) infoHeight = infoHeight - 50;
        if (infoHeight) this.setData({ infoHeight: infoHeight })
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})